Bug 730006 - Relog needed after promoting model to Global Area or importing it from G.A.
Summary: Relog needed after promoting model to Global Area or importing it from G.A.
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: User Interface
Version: BRMS 5.2.0-ER1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: BRMS 5.2.0.GA
Assignee: Mark Proctor
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-11 14:11 UTC by Zuzana Krejčová
Modified: 2016-08-01 01:12 UTC (History)
4 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)

Description Zuzana Krejčová 2011-08-11 14:11:53 UTC
Description of problem:
When you have a model in a package and want to use it in a rule in Global Area, you promote it. You still can't use it (after the promotion) unless you log out and log in again. The same happens with import. This seems to affect only already existing rules, it didn't happen when creating new rules.


Steps to Reproduce:
1. Import the sample repository.
2. Open some rule in the mortgages package and promote it to Global Area.
3. Now, editing the facts in the rule isn't possible, since the model isn't in the G.A.
4. Open the MortgageModel from package mortgages and promote it to G.A.
5. Look again at the rule - editing still isn't possible, even with the model in G.A., even if you close it and open again.

6. Log out, log in again. Voi-la, editing of the fact in the promoted rule is now possible.

  
Additional info:
It probably works the same with any assets, that can be used in other assets, enumerations and the like.

Comment 1 Zuzana Krejčová 2011-08-12 15:18:27 UTC
Similar issue with archiving-deleting a model. Unless you relog, you can still
use it.

Comment 2 Zuzana Krejčová 2011-08-17 09:13:37 UTC
Tried again and changed the step slightly.

The problem disappears, when you do this:
- have a rule in a package and model in global area
1. Import the model into the package
2. Open the rule and edit as you please - facts are visible.

BUT the problem stays, when you do this:
- have a rule in a package and model in global area
1. Browse the package Business Rules Assets and open the rule.
(Seeing the desired fact from the model in G.A isn't present:)
2. Import the model into the package.
3. Switch back to the rule.
Nothing changes. Even after closing the rule and opening it again, refreshing the tab with rules or closing and opening it again and then reopening the rule. Here, relog helps.

Comment 3 Jervis Liu 2011-08-24 03:55:15 UTC
https://issues.jboss.org/browse/GUVNOR-1600

Comment 4 Jervis Liu 2011-08-24 04:04:31 UTC
Fixed on 5.2.x. You still need to close and reopen the asset though. There is a more complete fix on master (drools 5.3.0.beta1), which does not require closing and reopening the asset. However the fix can not be applied to the 5.2.x branch because the EventBus mechanism is not in place on 5.2.x.

Comment 5 Lukáš Petrovický 2011-08-26 12:13:43 UTC
Assigning to the proper Quality Engineer


Note You need to log in before you can comment on or make changes to this bug.